Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xcodegen.parser
Class ParserError

    java.lang.Object
      |
      +--xcodegen.parser.ParserError

public class ParserError
extends java.lang.Object

Parser error

Version:
  $Revision: 1.5 $
Author:
  Herve Tchepannou

Field Summary
`static java.lang.String` | `DUPLICATE_CLASS`
`static java.lang.String` | `DUPLICATE_FIELD`
`static java.lang.String` | `DUPLICATE_METHOD`
`static java.lang.String` | `DUPLICATE_PARAMETER`
`static java.lang.String` | `DUPLICATE_RULE`
`static java.lang.String` | `FIELD_NOT_FOUND`
`static java.lang.String` | `FIELD_SIZE_FORMAT`
`static java.lang.String` | `INVALID_FILE_FORMAT`
`static java.lang.String` | `INVALID_NODE`
`static java.lang.String` | `INVALID_REFERENCE`
`static java.lang.String` | `INVALID_SUPERCLASS`
`static java.lang.String` | `INVALID_VALUE`
`static java.lang.String` | `MISSING_PK`
`static java.lang.String` | `NUMBER_FORMAT`
`static java.lang.String` | `PARAMETER_COUNT`
`static java.lang.String` | `PK_NOT_FOUND`
`static java.lang.String` | `SUBCLASS_WITH_PK`
`static java.lang.String` | `SUPERCLASS_NOT_FOUND`

Constructor Summary
`ParserError(java.lang.String code, java.lang.Object msg, XObject source)`
`ParserError(java.lang.String code, XObject source)`

Method Summary
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### INVALID_FILE_FORMAT

    public static final java.lang.String INVALID_FILE_FORMAT

See Also:
  Constant Field Values

### DUPLICATE_CLASS

    public static final java.lang.String DUPLICATE_CLASS

See Also:
  Constant Field Values

### SUPERCLASS_NOT_FOUND

    public static final java.lang.String SUPERCLASS_NOT_FOUND

See Also:
  Constant Field Values

### INVALID_SUPERCLASS

    public static final java.lang.String INVALID_SUPERCLASS

See Also:
  Constant Field Values

### MISSING_PK

    public static final java.lang.String MISSING_PK

See Also:
  Constant Field Values

### SUBCLASS_WITH_PK

    public static final java.lang.String SUBCLASS_WITH_PK

See Also:
  Constant Field Values

### PK_NOT_FOUND

    public static final java.lang.String PK_NOT_FOUND

See Also:
  Constant Field Values

### DUPLICATE_FIELD

    public static final java.lang.String DUPLICATE_FIELD

See Also:
  Constant Field Values

### FIELD_SIZE_FORMAT

    public static final java.lang.String FIELD_SIZE_FORMAT

See Also:
  Constant Field Values

### INVALID_REFERENCE

    public static final java.lang.String INVALID_REFERENCE

See Also:
  Constant Field Values

### DUPLICATE_METHOD

    public static final java.lang.String DUPLICATE_METHOD

See Also:
  Constant Field Values

### PARAMETER_COUNT

    public static final java.lang.String PARAMETER_COUNT

See Also:
  Constant Field Values

### DUPLICATE_PARAMETER

    public static final java.lang.String DUPLICATE_PARAMETER

See Also:
  Constant Field Values

### DUPLICATE_RULE

    public static final java.lang.String DUPLICATE_RULE

See Also:
  Constant Field Values

### NUMBER_FORMAT

    public static final java.lang.String NUMBER_FORMAT

See Also:
  Constant Field Values

### FIELD_NOT_FOUND

    public static final java.lang.String FIELD_NOT_FOUND

See Also:
  Constant Field Values

### INVALID_NODE

    public static final java.lang.String INVALID_NODE

See Also:
  Constant Field Values

### INVALID_VALUE

    public static final java.lang.String INVALID_VALUE

See Also:
  Constant Field Values

Constructor Detail

### ParserError

    public ParserError(java.lang.String code,
                       XObject source)

### ParserError

    public ParserError(java.lang.String code,
                       java.lang.Object msg,
                       XObject source)

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD